| Streamaxia Open SDK 3.2

List of all members
AXRecorderSettings Class Reference
Inheritance diagram for AXRecorderSettings:

## Instance Methods
Public methods
(void) | - useCustomVideoFrameSize:
(NSData *) | - archivedSettings

## Class Methods
Lifecycle
(instancetype) | + recorderSettings
(instancetype) | + recorderSettingsWithVideoFrameSize:
(instancetype) | + recorderSettingsWithArchivedData:

## Properties
Properties
AXRecordingMode | recordingMode
BOOL | isRecordingAudio
BOOL | isRecordingVideo
AXTorchMode | torchMode
AXVideoOrientation | videoOrientation
AXCamera | currentCamera
NSInteger | frameRate
NSInteger | keyFrameInterval
NSInteger | audioSampleRate
NSInteger | videoBitrate
AXVideoFrameResolution | videoFrameResolution
BOOL | videoFrameResolutionInverted
AXVideoFrameSize | videoFrameSize

## Method Documentation

## ◆ archivedSettings()

- (NSData *) archivedSettings |  |  |

Archive this object as a NSData object.

Returns
  The archived data.

## ◆ recorderSettings()

+ (instancetype) recorderSettings |  |  |

Factory method for creating a default recorder settings object.

Returns
  The initialized object.

## ◆ recorderSettingsWithArchivedData:()

+ (instancetype) recorderSettingsWithArchivedData: |  | (NSData *) | data |

Factory method for creating a recorder settings object from a previously archived data.

Parameters

  data | The input archived data.

Returns
  The initialized object.

## ◆ recorderSettingsWithVideoFrameSize:()

+ (instancetype) recorderSettingsWithVideoFrameSize: |  | (AXVideoFrameResolution) | frameSize |

Factory method for creating a recorder settings object, with a desired frame size.

Parameters

  frameSize | The video frame size.

Returns
  The initialized object.

## ◆ useCustomVideoFrameSize:()

- (void) useCustomVideoFrameSize: |  | (AXVideoFrameSize) | frameSize |

Explicitly sets a custom frame size and sets the videoFrameResolution property to AXVideoFrameResolutionCustom.

Parameters

  frameSize | The custom frame size in pixels.

## Property Documentation

## ◆ audioSampleRate

- (NSInteger) audioSampleRate
| read write nonatomic assign

The audio sample rate. The default and recommended value is 44100 Hz.

## ◆ currentCamera

- (AXCamera) currentCamera
| read write nonatomic assign

The current facing camera. The default value is AXCameraBack.

## ◆ frameRate

- (NSInteger) frameRate
| read write nonatomic assign

The frames pe second to be used while streaming and recording video. The default value is 30fps.

## ◆ isRecordingAudio

- (BOOL) isRecordingAudio
| read nonatomic assign

Returns YES if the recording mode also includes audio.

## ◆ isRecordingVideo

- (BOOL) isRecordingVideo
| read nonatomic assign

Returns YES if the recording mode also includes video.

## ◆ keyFrameInterval

- (NSInteger) keyFrameInterval
| read write nonatomic assign

The keyframe interval used for streaming. The default value is 30 frames.

## ◆ recordingMode

- (AXRecordingMode) recordingMode
| read write nonatomic assign

The recording mode. The recorder may record only audio, only video or both video and audio. For audio recording, access to the deveice's microphone is needed. For audio recording, access to the deveice's camera is needed. The default value is AXRecordingModeAudioAndVideo.

## ◆ torchMode

- (AXTorchMode) torchMode
| read write nonatomic assign

The torch setting while filming. The default value is AXTorchModeOff.

## ◆ videoBitrate

- (NSInteger) videoBitrate
| read write nonatomic assign

The video bit rate (in bits per second). The default value is based on the videoFrameSize property.

## ◆ videoFrameResolution

- (AXVideoFrameResolution) videoFrameResolution
| read write nonatomic assign

The video frame resolution. It is recommended to use the standard predefined resolutions and not the custom one. The default value is selected based on the screen size.

## ◆ videoFrameResolutionInverted

- (BOOL) videoFrameResolutionInverted
| read write nonatomic assign

Flag indicating if the resolution width and height should be swapped. The default value is YES. This causes the streaming to be vertical by default. Set this property to NO to prevent that.

## ◆ videoFrameSize

- (AXVideoFrameSize) videoFrameSize
| read nonatomic assign

The video frame size, in pixels. The value is determined by the videoFrameResolution value. If AXVideoFrameResolutionCustom is used, this must be set explicitly.

## ◆ videoOrientation

- (AXVideoOrientation) videoOrientation
| read write nonatomic assign

The current video orientation. The default value is AXVideoOrientationAutorotate.

The documentation for this class was generated from the following file:

- /Users/mac/Documents/StreamaxiaSDK/Streamaxia Open SDK/StreamaxiaSDK.framework/Headers/AXRecorderSettings.h